> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/schedule/stop-time-registration.md).

# Stop time registration

Stop a time registration for an employee. Can be used by external time registration systems. This endpoint is protected by the "real\_time\_time\_registration\_API" feature flipper flag per client. Contact SameSystem to open for this feature.

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/time_registrations/stop":{"post":{"tags":["Schedule"],"summary":"Stop time registration","description":"Stop a time registration for an employee. Can be used by external time registration systems.\nThis endpoint is protected by the \"real_time_time_registration_API\" feature flipper flag per client. Contact SameSystem to open for this feature.\n","operationId":"post-clientToken-time_registrations-stop","parameters":[{"name":"clientToken","in":"path","description":"Token in a form of \"c\\<clientId\\>\".","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeRegistrationStopCreateInput"}}}},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status. Can be:\n- Fail : Failed to stop.\n- Active: Time registration is active"},"id":{"type":"string","description":"Internal id of the shift registration"}}}}}}}}}},"components":{"schemas":{"TimeRegistrationStopCreateInput":{"title":"TimeRegistrationStopCreateInput","type":"object","properties":{"user_id":{"type":"integer","description":"Internal id of the employee","format":"int64"},"timestamp":{"type":"string","description":"Timestamp for the clock-out"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/schedule/stop-time-registration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
